/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import type { IChannelAttributes, IChannelFactory, IFluidDataStoreRuntime, IChannelServices } from "@fluidframework/datastore-definitions/internal";
import type { ITaskManager } from "./interfaces.js";
/**
 * The factory that defines the task queue
 */
export declare class TaskManagerFactory implements IChannelFactory<ITaskManager> {
    static readonly Type = "https://graph.microsoft.com/types/task-manager";
    static readonly Attributes: IChannelAttributes;
    get type(): typeof TaskManagerFactory.Type;
    get attributes(): typeof TaskManagerFactory.Attributes;
    /**
     * {@inheritDoc @fluidframework/datastore-definitions#IChannelFactory.load}
     */
    load(runtime: IFluidDataStoreRuntime, id: string, services: IChannelServices, attributes: IChannelAttributes): Promise<ITaskManager>;
    create(document: IFluidDataStoreRuntime, id: string): ITaskManager;
}
/**
 * {@inheritDoc ITaskManager}
 * @legacy
 * @alpha
 */
export declare const TaskManager: import("@fluidframework/shared-object-base/internal").ISharedObjectKind<ITaskManager> & import("@fluidframework/shared-object-base/internal").SharedObjectKind<ITaskManager>;
/**
 * {@inheritDoc ITaskManager}
 * @legacy
 * @alpha
 */
export type TaskManager = ITaskManager;
//# sourceMappingURL=taskManagerFactory.d.ts.map